Subject: Re: Problems with _inpw / STATUS_PRIVILEGED_INSTRUCTION
From: Pavel Tsekov <[email-masked]>
To: Christian Hirt <[email-masked]>
Cc: [email-masked]
Date: Thu, 18 Oct 2001 10:08:01 +0200

Only some of the assembler isntructions 
are allowed to be used in RING3 (User mode) 
on Windows platforms - these which are not
privileged instructions. Privileged instructions 
are allowed in RING0 (Kernel mode) only.

This is not a cygwin issue - it's windows. To
work the situation out, you should see how to
contact the driver of the device you're trying
to control and request the information from
it. Check MSDN for CreateFile.

Christian Hirt wrote:
> 
> Hi there!
> 
> I am porting C-sources for the control of an external device
> (CCD-camera) to
> cygwin. Unfortunately some problems appeared.
> 
> The executable file terminates with the message:
> 
> 1084 (0) handle_exeptions: STATUS_PRIVILEGED_INSTRUCTION
> 
> I have located the point where this exception appears:
> 
>  /* attempt to clear the trigger enable bit at the target address */
>   tmpval = INPW(base+0x008);
>   tmpval &= 0xffdf;                   /* clear trigger bit            */
> 
> INPW is defined as follows:
> 
> #define INPW(a)  (USHORT)_inpw ((USHORT)(a))
> 
> I would be very happy if anybody brings light on this problem.
> 
> Thank you very much,
> 
> Christian Hirt

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/